=======================================================
NetworkManager-openvpn-1.12.5
Overview of changes since NetworkManager-openvpn-1.12.4
=======================================================

* Don't use NM_VERSION_MIN_REQUIRED and MAX_ALLOWED
  to fix build compilation failure with libnm 1.52.2.
* Update translations: Slovenian, Brazilian and Turkish.

=======================================================
NetworkManager-openvpn-1.12.4
Overview of changes since NetworkManager-openvpn-1.12.3
=======================================================

* Add tmpfiles.d and sysusers.d files so that systemd
  creates automatically the required tmp file and user.
* Verify file permissions for private connections to
  prevent unprivileged user from using other user's
  certs (CVE-2025-9615).
* Update translations: Catalan, Japanese, Russian,
  Hungarian, Turkish and Lithuanian.

=======================================================
NetworkManager-openvpn-1.12.3
Overview of changes since NetworkManager-openvpn-1.12.2
=======================================================

* Fix bug that caused that the challenge prompt didn't
  appear if it contained some special characters.

=======================================================
NetworkManager-openvpn-1.12.2
Overview of changes since NetworkManager-openvpn-1.12.0
=======================================================

* Fix bug that caused that challenge was incorrectly
  reused if invalid or expired.
* Add support for "data-ciphers-fallback" option.
* Add GUI support for "data-ciphers" option.
* Fix export for password connection type that was not
  exporting some fields.
* Fix mnemonics in editor's Identity - Advanced view
* Auth-dialog ported to GTK4
* Import certificates into the XDG_DATA_HOME directory.
* Update translations: Hindi, Slovenian, Catalan,
  Polish, Brazilian Portuguese, Ukrainian, Georgian,
  Swedish, Hebrew, Russian and Danish.
* Skip release 1.12.1 because of a bug in the release
  pipeline.

=======================================================
NetworkManager-openvpn-1.12.0
Overview of changes since NetworkManager-openvpn-1.11.0
=======================================================

* Adapt to the new way of handling the 2FA secret by the
  daemon, needed by it to fix a bug with certain clients.
  Requires NetworkManager >= 1.46.2.
* Update Slovenian and Hungarian translations.

=======================================================
NetworkManager-openvpn-1.11.0
Overview of changes since NetworkManager-openvpn-1.10.2
=======================================================

* Improve the support for 2FA dynamic challenge, not
  saving the response into the profile.
  It requires NetworkManager >= 1.46.
* Update many translations.

=======================================================
NetworkManager-openvpn-1.10.2
Overview of changes since NetworkManager-openvpn-1.10.0
=======================================================

* IP condfiguration is no longer required in TAP mode.
* Fix initialization of secret flags.
* Add support for DOMAIN-SEARCH option.
* Set data-ciphers option with chosen cipher.
* Update Brazilian Portuguese, Croatian, Danish, Georgian, Polish, Serbian,
  Slovenian, Swedish, Turkish and Ukrainian translations.

=======================================================
NetworkManager-openvpn-1.10.0
Overview of changes since NetworkManager-openvpn-1.8.18
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Add support for "allow-compression" parameter.
* Fix a regression in preserving the "tls-auth" settings.
* Add support for "tls-min" and "tls-cipher" parameters.
* Include the new gnome-control-center name in the AppData file.
* Drop libnm-glib support, nobody is likely using it anymore.
* Fix importing profiles with a PKCS#12 CA.
* Make sure the plugin object links with glib.
* Dropped dependency on intltool.
* Updated Basque, Brazilian Portuguese, Chinese (China), Croatian, Czech,
  Danish, Dutch, Georgian, Indonesian, Polish, Serbian, Spanish, Swedish,
  Turkish and Ukrainian translations.

=======================================================
NetworkManager-openvpn-1.8.18
Overview of changes since NetworkManager-openvpn-1.8.16
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Gtk4 version of the editor plugin is now available (for use with Control
  Center of GNOME 42 or later).
* Update Catalan, Croatian, Czech, Hebrew and Slovenian translations.

=======================================================
NetworkManager-openvpn-1.8.16
Overview of changes since NetworkManager-openvpn-1.8.14
=======================================================

* Fix detection of OpenVPN 2.5.0
* Allow the connection to persist across network failures when the VPN
  profile has 'vpn.persistent=yes'.
* Fix parsing of incomplete IPv6 configurations pushed by server
* Improve logging message about deprecated tls-remote option
* Update translations

=======================================================
NetworkManager-openvpn-1.8.14
Overview of changes since NetworkManager-openvpn-1.8.12
=======================================================

* Add support for the following OpenVPN options: push-peer-info,
  remote-random-hostname, tls-crypt-v2
* Add --explicit-exit-notify by default when using UDP
* Fix compatibility issues with OpenVPN 2.5.0
* Update translations

=======================================================
NetworkManager-openvpn-1.8.12
Overview of changes since NetworkManager-openvpn-1.8.10
=======================================================

* The auth helper in external UI mode can now be run without a display
  server. Future nmcli version will utilize this for handling the
  secrets without a graphical desktop.
* libnm-glib compatibility (NetworkManager < 1.0) is disabled by default.
  It can be enabled by passing --with-libnm-glib to configure script.
  Nobody should need it by now. Users that still use this are encouraged
  to let us know before the libnm-glib support is removed for good.
* Add support for the following OpenVPN options: tls-version-min,
  tls-version-max, compress.
* Support inline CRL blobs during import.
* Allow option mssfix to be set to zero.
* Update Catalan, Czech, Danish, Dutch, Friulian, Hungarian,
  Indonesian, Italian, Polish, Serbian, Spanish, Swedish and Ukrainian
  translations.

=======================================================
NetworkManager-openvpn-1.8.10
Overview of changes since NetworkManager-openvpn-1.8.8
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Fix changing the proxy port in the editor.
* Drop the file extension check when importing a file.
* Support loading the editor shared object from the same directory of
  plugin for development purposes.
* Update Brazilian Portuguese, Catalan, Czech, Danish, Lithuanian,
  Polish and Spanish translations.

=======================================================
NetworkManager-openvpn-1.8.8
Overview of changes since NetworkManager-openvpn-1.8.6
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Fix a memory corruption bug in the advanced dialog.
* Update Russian translation.

=======================================================
NetworkManager-openvpn-1.8.6
Overview of changes since NetworkManager-openvpn-1.8.4
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Migrate project home to gitlab (https://gitlab.gnome.org/GNOME/NetworkManager-openvpn)
* Don't validate auth parameter and pass it directly to openvpn.
* Fix endless loop checking for encrypted certificate.
* Sanitize newlines in export ovpn file.
* Improve project description in doap file.
* Add Croatian translation.
* Update Catalan, German, Indonesian, Italian, Brazilian Portuguese
  and Russian translations.
* Various minor bugfixes and improvements.

=======================================================
NetworkManager-openvpn-1.8.4
Overview of changes since NetworkManager-openvpn-1.8.2
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Add support for the crl-verify option (bgo #782309)
* Fix termination of openvpn process upon disconnect (rh #1576600)
* Update Czech, Finnish, Galician, German, Italian, Latvian,
  Lithuanian, Polish, Russian and Swedish translations.

=======================================================
NetworkManager-openvpn-1.8.2
Overview of changes since NetworkManager-openvpn-1.8.0
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Handle more then 255 routes (bgo #788137)
* Fix GUI for editing connection with static key (bgo #788226)
* Fix parsing gateway in helper script (bgo #788514)
* Fix parsing 2FA challenge for "PASSWORD:Verification Failed" (bgo #751842)
* Fix parsing remote hosts from configuration (bgo #792252)
* Fix assertion failure while quitting service (bgo #792252)
* Add support for connect-timeout (bgo #792252)
* Automatically lower connect-timeout if there are multiple remotes to try
  at least 3 remotes (bgo #792252)
* Add support for extra-certs (bgo #793746)
* Various code cleanups
* Updated Brazilian Portuguese, Czech, Danish, Finnish, German, Hungarian,
  Indonesian, Italian, Lithuanian, Polish, Serbian, Spanish translations.

=======================================================
NetworkManager-openvpn-1.8.0
Overview of changes since NetworkManager-openvpn-1.2.10
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Use gresources for ui files.
* Use NMACertChooser for PKCS#11 support.
* Support --ifconfig option not only for static key connections (bgo#774727).
* Fix import for key-direction to make it independent of the order (bgo#778154).
* Extend support for address family specifier for remote protocol (bgo#731620).
* Updated Brazilian Portuguese, Catalan, Czech, Hungarian, Indonesian, Italian,
  Lithuanian, Polish, Serbian, Spanish, Swedish translations.

=======================================================
NetworkManager-openvpn-1.2.10
Overview of changes since NetworkManager-openvpn-1.2.8
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Add support for "tls-crypt" and "mtu-disc" options
* Add support for dynamic challenge-response protocol
* Allow choosing Adaptive or None LZO compression methods in the connection
  properties dialog
* Avoid passing the obsolete "tls-remote" option to OpenVPN versions that no
  longer support it and discourage its use in the properties dialog
* Updated the build system to use non-recursive make
* Many bug fixes
* Updated Brazilian, Danish, Hungarian, Indonesian, Lithuanian, Polish, Serbian
  and Swedish translations

=======================================================
NetworkManager-openvpn-1.2.8
Overview of changes since NetworkManager-openvpn-1.2.6
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Treat cipher and hmac options case insensitive in the properties GUI
* Support numeric argument to mssfix option
* Fixes to translatable strings and use Unicode
* Updated Czech, German, Hungarian, Polish, Spanish translations

=======================================================
NetworkManager-openvpn-1.2.6
Overview of changes since NetworkManager-openvpn-1.2.4
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Restore previous behavior for handling empty "comp-lzo" (bgo#769177)
* Support verify-x509-name (bgo#770922)
* Support max-routes (bgo#720097)
* Updated Brazilian Portuguese, Czech, German, Hungarian, Lithuanian,
  Polish, Serbian, Serbian Latin translations
* Fix invalid free when parsing remote option
* Various cleanups

=======================================================
NetworkManager-openvpn-1.2.4
Overview of changes since NetworkManager-openvpn-1.2.2
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Prefer building against stable libsecret API
* Split libnm-vpn-plugin-openvpn.so into a GTK-free core plugin
  usable by nmcli and a UI plugin for nm-applet and gnome components.
* Support NM_VPN_LOG_LEVEL environment variable to control debug
  logging from NetworkManager.
* Updated Catalan, German, Spanish, Indonesian, Polish, Brazilian Portuguese,
  Swedish, Serbian, Serbian Latin translations
* Fix handling comp-lzo option
* Add support for tls-cipher option
* Add support for IPv6 DNS servers
* Fix handling quotes and comments when parsing ovpn files
* Hide internal ABI from properties libraries
* Preserve IP routing configuration on restart
* Various cleanups


=======================================================
NetworkManager-openvpn-1.2.2
Overview of changes since NetworkManager-openvpn-1.2
=======================================================

This is a new stable release of NetworkManager-openvpn.  Notable changes include:

* Fixed validation of proxy port
* Use a proper name for the AppStream metadata
* Updated Hungarian translation


=======================================================
NetworkManager-openvpn-1.2
Overview of changes since network-manager-openvpn-1.0
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Ported to libnm, libnma and GDBus
* Support multiple concurrent OpenVPN connections
* Various import/export fixes
* Add support for --ping option to backend
* Add support for --ns-cert-type option
* Translation updates
* Add support for importing inline keys, secrets and PKCS12 certificates
* Treate the file names as opaque strings as opposed to UTF-8
* Allow disabling the internal fragmentation in properties dialog

The following features were backported to 1.0.x releases from 1.0.0 to 1.0.8
are also present in NetworkManager-openvpn-1.2:

* Fix operations in IPv6-only configurations
* Add support for importing configurations with inline certificates
* Do not require password if user chose not to store it
* Cosmetic UI fixes
* Enhanced the GUI to support agent-owned and always-ask passwords
* Support running unprivileged
* Default to disabling periodic renegotioation. This avoids renegotiating
  unnecessarily if the server doesn't specify a renegotiation timeout,
  improving usability for OTP users


=======================================================
network-manager-openvpn-1.0
Overview of changes since network-manager-openvpn-0.9.10
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Use Unix socket for management instead of local TCP socket
* Make password requests more robust
* Allow specifying port and protocol for multiple remotes (VPN gateways)


=======================================================
network-manager-openvpn-0.9.10
Overview of changes since network-manager-openvpn-0.9.8
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Allow specifying custom interface name and key size
* Better handle --up-restart
* Use libsecret for password storage instead of gnome-keyring
* Add support for interactive password queries from openvpn
* Add support for IPv6 tunnels


=======================================================
network-manager-openvpn-0.9.8
Overview of changes since network-manager-openvpn-0.9.6
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Builds against the GNOME 3.8 versions of GLib and Gtk+
* nm-openvpn-service now returns translated error messages
* Add support for the 'remote-cert-tls' method for verifying the
  server certificate
* Fixed import/export to handle multiple remote servers
* No longer asks for a password when using a passwordless auth mode


=======================================================
network-manager-openvpn-0.9.6
Overview of changes since network-manager-openvpn-0.9.4
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Add option to randomize connect order to openvpn servers/peers


=======================================================
network-manager-openvpn-0.9.4
Overview of changes since network-manager-openvpn-0.9.2
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Fix issues with password dialog width on recent GTK+ versions
* Allow cipher and HMAC options to be set for Static Key mode
* Support for "external UI mode" for DE-native dialogs (ie, GNOME Shell and others)


=======================================================
network-manager-openvpn-0.9.2
Overview of changes since network-manager-openvpn-0.9.0
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations


=======================================================
network-manager-openvpn-0.9.0
Overview of changes since network-manager-openvpn-0.8.x
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated for NM 0.9 simplified configuration and secrets handling
* Allow passwords to be explicitly asked for every time


=======================================================
network-manager-openvpn-0.8.6
Overview of changes since network-manager-openvpn-0.8.4
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Added support for the RSA-MD4 HMAC digest algorithm


=======================================================
network-manager-openvpn-0.8.4
Overview of changes since network-manager-openvpn-0.8.2
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Convert to GtkBuilder; glade is not longer a build requirement
* Show unencrypted private keys in private key selection file chooser
* Allow larger renegotiation intervals
* Handle secrets for system connections
* Fix handling of various HTTP proxy password issues
* Export HTTP and SOCKS proxy authentication files

=======================================================
network-manager-openvpn-0.8.2
Overview of changes since network-manager-openvpn-0.8.1
=======================================================

This is a new stable release of network-manager-openvpn.  Notable changes include:

* Updated translations
* Fixes to ensure correct IP configuration of tunnels
* Support for HTTP and SOCKS proxies
* Better debugging options

